#include "GameMain.h"

/// <summary>
/// Allows the game to perform any initialization it needs to before starting to run.
/// This is where it can query for any required services and load any non-graphic
/// related content.  Calling base.Initialize will enumerate through any components
/// and initialize them as well.
/// </summary>
void CGameMain::Initialize()
{
	// TODO: Add your initialization logic here
	WindowTitle( TEXT("ES Game Library : 3DvO~O") );

	// r[|[g擾
	Viewport   view = GraphicsDevice.GetViewport();

	// Jݒ
	Camera->SetLookAt(Vector3(0.0f, 3.0f, -3.0f), Vector3(0.0f, 0.0f, 0.0f), Vector3_Up);
	Camera->SetPerspectiveFieldOfView(45.0f, (float)view.Width, (float)view.Height, 1.0f, 1000.0f);

	// Cgݒ
	Light   light;
	light.Type      = Light_Directional;
	light.Diffuse   = Color(1.0f, 1.0f, 1.0f);
	light.Ambient   = Color(1.0f, 1.0f, 1.0f);
	light.Specular  = Color(1.0f, 1.0f, 1.0f);
	light.Direction = Vector3_Down;
	GraphicsDevice.SetLight(light);

	// _OXe[gݒ
	GraphicsDevice.SetRenderState(FillMode, FillMode_WireFrame);
	GraphicsDevice.SetRenderState(CullMode, CullMode_None);
	GraphicsDevice.SetRenderState(NormalizeNormals, TRUE);

	// ϐ

}

/// <summary>
/// LoadContent will be called once per game and is the place to load
/// all of your content.
/// </summary>
void CGameMain::LoadContent()
{
	// TODO: use this.Content to load your game content here

}

/// <summary>
/// UnloadContent will be called once per game and is the place to unload
/// all content.
/// </summary>
void CGameMain::UnloadContent()
{
	// TODO: Unload any non ContentManager content here
}

/// <summary>
/// Allows the game to run logic such as updating the world,
/// checking for collisions, gathering input, and playing audio.
/// </summary>
/// <returns>
/// Scene continued value.
/// </returns>
int CGameMain::Update()
{

	return 0;
}

/// <summary>
/// This is called when the game should draw itself.
/// </summary>
void CGameMain::Draw()
{
	GraphicsDevice.Clear(Color_CornflowerBlue);

	// TODO: Add your drawing code here
	GraphicsDevice.BeginScene();

	// ȍ~ɁAvOǉĂ


	GraphicsDevice.EndScene();
}
